org.licas.module.b_module

## Class BM_InfoClientPS

- java.lang.Object
- - java.lang.Thread
  - - org.licas.module.LicasModule
    - - org.licas.module.FrameworkModule
      - - org.licas.module.BehaviourModule
        - - org.licas.module.b_module.BM_InfoClientPS

- All Implemented Interfaces:
    java.lang.Runnable, ServiceDef

      public class BM_InfoClientPS
      extends BehaviourModule

  Behaviour to 'publish' the data from an `Information` service to the server so that a client can be informed and sent the result using the `PublishSubscribe` system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.licas.module.FrameworkModule

      `passwordHandler, service, serviceType`

    - ### Fields inherited from class org.licas.module.LicasModule

      `jarFile, syncOn, uuid`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BM_InfoClientPS(Auto service, PasswordHandler passwordHandler)` Create a new instance of BM_InfoClientPS.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageInfo` | `behaviourAction(MessageInfo messageInfo, HeuristicModule evaluate, SM_Data sm)` Run the behaviour to publish the information to the server.

    - ### Methods inherited from class org.licas.module.BehaviourModule

      `testEnded`

    - ### Methods inherited from class org.licas.module.FrameworkModule

      `canAccess, canAccessTemp, getPasswordHandler, getPasswordHandler, getServerPassword, getServicePassword, getServiceType, isAdminKey, setServiceDetails, setServiceType`

    - ### Methods inherited from class org.licas.module.LicasModule

      `getJarFile, getUUID, loadObject, setJarFile, setUUID, threadAliveState`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.licas.def.ServiceDef

      `getUUID, setJarFile, setUUID`

- - ### Constructor Detail

    - #### BM_InfoClientPS

          public BM_InfoClientPS(Auto service,
                                 PasswordHandler passwordHandler)
                          throws java.lang.Exception

      Create a new instance of BM_InfoClientPS.
      Parameters:
        `service` - the service the behaviour is for.
        `passwordHandler` - the service's password handler.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### behaviourAction

          public MessageInfo behaviourAction(MessageInfo messageInfo,
                                             HeuristicModule evaluate,
                                             SM_Data sm)
                                      throws java.lang.Exception

      Run the behaviour to publish the information to the server.
      Specified by:
        `behaviourAction` in class `BehaviourModule`
      Parameters:
        `messageInfo` - the Input message to evaluate.
        `evaluate` - heuristic to evaluate the behaviour with. Can be null here as simply an info retrieval.
        `sm` - the service module.
      Returns:
        the evaluation result.
      Throws:
        `java.lang.Exception` - any error.